<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('order_operate_log', function (Blueprint $table) {
            $table->string('delivery_name')->default(null)->nullable()->comment('快递名')->after('remark')->change();
            $table->string('delivery_num')->default(null)->nullable()->comment('单号')->after('remark')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('order_operate_log', function (Blueprint $table) {
            $table->dropColumn('delivery_name');
            $table->dropColumn('delivery_num');
        });
    }
};
